Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 263
Registered: ‎05-18-2011
My Device: Curve 9300, BB10 Dev Alpha C, Z10

How to develop apps for BlackBerry OS <4.5 in Eclipse

I have BlackBerry Java Plug-in for Eclipse 1.3.0 installed with some component packs from v4.5. Now I'd like to develop an app for OS>=4.0, where and how can I offically download this component packs such as v4.0, 4.1, 4.2...?

 

Thank your very much.

--tom
Developer
Posts: 656
Registered: ‎02-03-2010
My Device: Z10 LE
My Carrier: Rogers

Re: How to develop apps for BlackBerry OS <4.5 in Eclipse

I recommend checking this link out to see why there is no need to develop apps lower than 4.5.

 

http://devblog.blackberry.com/2011/04/choosing-target-device-os-2/

 

Hope this helps.


Steven Kader at JaredCo
   Follow me on Twitter    |     Mipixi.com :  Web App for Photo Sharing
Developer
Posts: 263
Registered: ‎05-18-2011
My Device: Curve 9300, BB10 Dev Alpha C, Z10

Re: How to develop apps for BlackBerry OS <4.5 in Eclipse

I know that fact, but my client still wants to have the app developed for OS versions from 4.0
--tom
Developer
Posts: 656
Registered: ‎02-03-2010
My Device: Z10 LE
My Carrier: Rogers

Re: How to develop apps for BlackBerry OS <4.5 in Eclipse

I see.  I believe you will need to use the previous version of the plugin, as 1.3 doesn't go that far back.


Steven Kader at JaredCo
   Follow me on Twitter    |     Mipixi.com :  Web App for Photo Sharing
Developer
Posts: 263
Registered: ‎05-18-2011
My Device: Curve 9300, BB10 Dev Alpha C, Z10

Re: How to develop apps for BlackBerry OS <4.5 in Eclipse

[ Edited ]

Do you know where I can officially download the the previous version (e.g., version 1.2, or 1.1, or even 1.0) of the plugin?

And also if I could download the previous version of the plugin, what are the url(s) where I can download (from inside the Eclipse) the old component packs such as (4.0.x, 4.1.x, 4.2.x, 4.3.x, and 4.4.x)?

--tom
Developer
Posts: 16,997
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: How to develop apps for BlackBerry OS <4.5 in Eclipse

[ Edited ]

these component packs do not exist, going to a lower plugin level does not help.

you can do it as we did it in the "old days": develop in eclipse, compile with the JDE.

4.0 is a really low version though, i am not sure there are devices that still run with it. we use 4.2.1 as a baseline for these kind of apps, as many API methods were added in this release.

you could also develop in the JDE directly, but after working with eclipse this is quite a pain.

check
http://us.blackberry.com/developers/choosingtargetos.jsp
for more information. for pre 4.5 it lists ~4% of all subscribers.

----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Developer
Posts: 263
Registered: ‎05-18-2011
My Device: Curve 9300, BB10 Dev Alpha C, Z10

Re: How to develop apps for BlackBerry OS <4.5 in Eclipse

OK, so "develop in Eclipse, compile with the JDE". Are there any official documents that talk about this approach? Because with this approach, I need to have the JREs (.jar libraries), to know how to compile and how to sign the builds using the JDE with the source code developed in Eclipse.
--tom
Developer
Posts: 16,997
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: How to develop apps for BlackBerry OS <4.5 in Eclipse

no, there are no official documents, as developing in eclipse was only made official when the plugin was announced.

i still have several jde-projects and develop them in eclipse though.
you can create the project in eclipse+plugin as you are used to, and create a workspace and project in the jde where you add all the files (manually).
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter